com.h3c.util.pkt

## Class Sctp

- java.lang.Object
- - com.h3c.util.pkt.Sctp

- All Implemented Interfaces:
    Protocol

      public class Sctp
      extends Object
      implements Protocol

  SCTP (Stream Control Transmission Protocol) data store (immutable) and associated `Sctp.Builder` (mutable).

  Includes support for the following OpenFlow match fields:

  - SCTP source port
  - SCTP destination port

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Sctp.Builder` Builder (mutable) used to create new protocol instances.
    `static class` | `Sctp.CheckSumType` Checksum type needed during encoding.
    `static class` | `Sctp.Chunk` Chunk data store (immutable).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `checkSum()` Returns the decoded checksum value.
    `Sctp.CheckSumType` | `checkSumType()` Returns the checksum algorithm type.
    `Sctp.Chunk[]` | `chunks()` Returns a copy of the chunks array.
    `int` | `dstPort()` Returns the destination port.
    `ProtocolId` | `id()` Returns the protocol ID.
    `int` | `srcPort()` Returns the source port.
    `String` | `toDebugString()` Returns the protocol debug string.
    `String` | `toString()`
    `long` | `verifyTag()` Returns the decoded verify tag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### id

          public ProtocolId id()

      Description copied from interface: `Protocol`
      Returns the protocol ID.
      Specified by:
        `id` in interface `Protocol`
      Returns:
        protocol ID

    - #### srcPort

          public int srcPort()

      Returns the source port.
      Returns:
        the source port

    - #### dstPort

          public int dstPort()

      Returns the destination port.
      Returns:
        the destination port

    - #### checkSumType

          public Sctp.CheckSumType checkSumType()

      Returns the checksum algorithm type.
      Returns:
        the checksum algorithm type

    - #### checkSum

          public long checkSum()

      Returns the decoded checksum value.
      Returns:
        the decoded checksum value

    - #### verifyTag

          public long verifyTag()

      Returns the decoded verify tag.
      Returns:
        the decoded verify tag

    - #### chunks

          public Sctp.Chunk[] chunks()

      Returns a copy of the chunks array.
      Returns:
        the chunks array

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Description copied from interface: `Protocol`
      Returns the protocol debug string.
      Specified by:
        `toDebugString` in interface `Protocol`
      Returns:
        the protocol debug string

Copyright © 2014. All Rights Reserved.